///////////////////////////////////////////////////////////////////////////
//  Copyright (C) Wizardry and Steamworks 2016 - License: GNU GPLv3      //
//  Please see: http://www.gnu.org/licenses/gpl.html for legal details,  //
//  rights of fair usage, the disclaimer and warranty conditions.        //
///////////////////////////////////////////////////////////////////////////
// Originally based on: WebDAV .NET client by Sergey Kazantsev

using System;
using System.Runtime.Serialization;

namespace wasDAVClient.Helpers
{
    public class wasDAVConflictException : wasDAVException
    {
        public wasDAVConflictException()
        {
        }

        public wasDAVConflictException(string message)
            : base(message)
        {
        }

        public wasDAVConflictException(string message, int hr)
            : base(message, hr)
        {
        }

        public wasDAVConflictException(string message, Exception innerException)
            : base(message, innerException)
        {
        }

        public wasDAVConflictException(int httpCode, string message, Exception innerException)
            : base(httpCode, message, innerException)
        {
        }

        public wasDAVConflictException(int httpCode, string message)
            : base(httpCode, message)
        {
        }

        public wasDAVConflictException(int httpCode, string message, int hr)
            : base(httpCode, message, hr)
        {
        }

        protected wasDAVConflictException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }
    }
}